# TODO:
#
# - plugins are binary from upstream:
#       Plugins/so.MIDIPlugin
#       Plugins/so.Mpeg3Plugin
# - post-* scripts
# - fix unstripped-binary-or-object
#       /usr/lib/scratch/Plugins/so.ScratchPlugin 
#       /usr/lib/scratch/Plugins/so.UnicodePlugin 
#       /usr/lib/scratch/Plugins/so.CameraPlugin 
#       /usr/lib/scratch/Plugins/so.WeDoPlugin


Name: scratch
Version: 1.4.0.6
Release: 1
Summary: Programming system and content development tool
Group: Applications/Multimedia
License: GPLv2+
URL: http://scratch.mit.edu
Source0: http://download.scratch.mit.edu/%{name}-%{version}.src.tar.gz
Source1: scratch.desktop

BuildRequires: desktop-file-utils
BuildRequires: squeak-vm, libv4l-devel, cairo-devel, pango-devel
Requires: squeak-vm, squeak-vm-nonXOplugins

%description
Scratch is a programming language that makes it easy to create your own
interactive stories, animations, games, music, and art -- and share your
creations on the web.

%prep
%setup -q -n %{name}-%{version}.src

%build
make %{?_smp_mflags}

%install
install -Dpm 644 Scratch.image %{buildroot}%{_libdir}/%{name}/Scratch.image
install -Dpm 644 Scratch.ini %{buildroot}%{_datadir}/%{name}/Scratch.ini

install -Dpm 755 src/scratch %{buildroot}%{_bindir}/scratch
sed -i -e "s/squeakvm/squeak/g" %{buildroot}%{_bindir}/scratch
sed -i -e "s/vm-sound-pulse/vm-sound-ALSA/g" %{buildroot}%{_bindir}/scratch

install -m 755 -d %{buildroot}%{_datadir}/%{name}/locale/
install -m 644 locale/* %{buildroot}%{_datadir}/%{name}/locale/.

install -m 755 -d %{buildroot}%{_datadir}/%{name}/Help/
cp -a Help/en/ %{buildroot}%{_datadir}/%{name}/Help/
cp -a Media/  %{buildroot}%{_datadir}/%{name}/
cp -a Projects/ %{buildroot}%{_datadir}/%{name}/

install -m 755 -d %{buildroot}%{_libdir}/%{name}/
cp -a Plugins/ %{buildroot}%{_libdir}/%{name}/

install -pDm 644 src/icons/48x48/scratch.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/scratch.png
install -pDm 644 src/icons/128x128/scratch.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/scratch.png
install -pDm 644 src/icons/48x48/gnome-mime-application-x-scratch-project.png %{buildroot}%{_datadir}/icons/hicolor/48x48/mimetypes/gnome-mime-application-x-scratch-project.png
install -pDm 644 src/icons/128x128/gnome-mime-application-x-scratch-project.png %{buildroot}%{_datadir}/icons/hicolor/128x128/mimetypes/gnome-mime-application-x-scratch-project.png

install -pDm 644 src/%{name}.xml %{buildroot}%{_datadir}/mime/packages/%{name}.xml
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -Dpm 644 src/man/scratch.1.gz %{buildroot}%{_mandir}/man1/scratch.1.gz


%post
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null ||:

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null ||:


%files
%doc TRADEMARK_POLICY NOTICE LICENSE KNOWN-BUGS gpl-2.0.txt ACKNOWLEDGEMENTS
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}*.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/icons/hicolor/48x48/mimetypes/*
%{_datadir}/icons/hicolor/128x128/apps/*
%{_datadir}/icons/hicolor/128x128/mimetypes/*


%changelog

* Thu Sep 13 2012 Ismael Olea <ismael@olea.org> 1.4.0.6-1
- updating to 1.4.0.6
- GPLv2+ is the correct license (or at least now using that license download)
- spec cleaning

* Sat May 08 2010 Kevin Somervill <ksomervi@brokenlogo.com>  1.4.0.1-1
- v1.4.0.1
- http://subversion.assembla.com/svn/scratchonlinux/trunk/scratch/rpm/SPECS/scratch-1.4.0.1.spec
